<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Shell</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
<TITLE> CMD</TITLE>
<BODY bgcolor="#ff9933">
<H1>Comandos CMD</H1>

<H2>PWD</H2>
<P>O pwd (print working directory) é um comando que imprime o nome do diretório local em uma interface de linha de comando.</P>
<h3>Exemplo</h3>
	<img src =".\img\2PWD.png"/>
	
<H2>CD</H2>
<P>Esse comando é utilizado para mudar de diretório.</P>
<h3>Exemplo</h3>
	<img src =".\img\2CD.png"/>

<H2>RM</H2>
<P>O comando rm do sistema operacional Unix é usado para apagar arquivos.</P>
<h3>Exemplo</h3>
	<img src =".\img\2RM.png"/>

<H2>RMDIR</H2>
<P>O comando rmdir(remove directory) é usado no sistema operacional Unix e DOS para remover diretórios vazios.</P>
<h3>Exemplo</h3>
	<img src =".\img\2RMDIR.png"/>

<H2>TOUCH</H2>
<P>É usado principalmente para criar arquivos vazios, além de alterar o registro de data e hora (timestamp) de arquivos ou pastas.</P>
<h3>Exemplo</h3>
	<img src =".\img\2TOUCH.png"/>

<H2>CLEAR</H2>
<P>Serve para limpar a tela do terminal.</P>
<h3>Exemplo</h3>
	<img src =".\img\2CLEAR.png"/>

<H2>LS</H2>
<P>É um comando usado para listar arquivos e diretórios.</P>
<h3>Exemplo</h3>
	<img src =".\img\2LS.png"/>

<H2>CP</H2>
<P>-R: Copia os arquivos recursivamente. Útil para copiar os arquivos e diretórios abaixo do diretório especificado. 
-a: Faz o mesmo que as opções "-dpR" combinadas. 
-f: Força a cópia, gravando por cima do destino.</P>
<h3>Exemplo</h3>
	<img src =".\img\2CP.png"/>

<H2>LN</H2>
<P>usado para criar uma ligação (atalho ou link simbólico como é mais conhecido) entre arquivos do sistema de arquivos.
 As ligações permitem que um mais de um arquivo refira à mesma área de armazenamento.</P>
<h3>Exemplo</h3>
	<img src =".\img\2LN.png"/>

<H2>CAT</H2>
<P>Serve para escrever arquivos de texto, exibir (mostrar na tela) seu conteúdo ou ainda concatenar (juntar) dois arquivos de texto</P>
<h3>Exemplo</h3>
	<img src =".\img\2CAT.png"/>

<H2>HEAD</H2>
<P>Usado para mostrar no terminal o conteúdo do início de um arquivo de texto.</P>
<h3>Exemplo</h3>
	<img src =".\img\2HEAD.png"/>

<H2>TAIL</H2>
<P>O comando tail pode ser utilizado para examinar as últimas linhas de um arquivo.</P>
<h3>Exemplo</h3>
	<img src =".\img\2TAIL.png"/>

<H2>PS</H2>
<P>Lista os processos em execução no sistema. 
A barra vertical, ou pipe (|), faz com que o resultado seja direcionado para o comando grep que, por sua vez filtrará apenas as linhas que tenham a palavra vim.</P>
<h3>Exemplo</h3>
	<img src =".\img\2PS.png"/>

<H2>MV</H2>
<P>O comando mv copia um arquivo da ORIGEM para o DESTINO (semelhante ao cp ), mas após a cópia, o arquivo de ORIGEM é apagado.</P>
<h3>Exemplo</h3>
	<img src =".\img\2MV.png"/>

</BODY>
</HTML>